=== debian/changelog ===
lua-scrypt (1.1-3) unstable; urgency=medium

  * Honour SOURCE_DATE_EPOCH for documentation builds

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Thu, 27 Oct 2016 15:17:10 +0900

lua-scrypt (1.1-2) unstable; urgency=medium

  * Added Multi-Arch markers.
  * Tweak copyright to be cleaner (it's BSD not ISC for a start)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 12 Oct 2016 21:03:51 +0900

lua-scrypt (1.1-1) unstable; urgency=medium

  * Initial packaging of lua-scrypt as a separate project.
  * Closes: #839703

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 04 Oct 2016 13:57:46 +0900
