=== debian/control ===
Source: lua-scrypt
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount,
 libscrypt-dev
Standards-Version: 3.9.8
Homepage: https://git.gitano.org.uk/lua-scrypt.git/

Package: lua-scrypt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: same
Description: Lua binding to libscrypt
 Lua binding to the libscrypt implementation of the scrypt password-based key
 derivation function.
 .
 The library binds both the hash and verify operations.

Package: lua-scrypt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-scrypt
 Lua binding to the libscrypt implementation of the scrypt password-based key
 derivation function.
 .
 The library binds both the hash and verify operations.
 .
 This package contains the documentation on how to use the lua-scrypt library.
