=== debian/watch ===
version=3
https://git.gitano.org.uk/lua-scrypt.git /lua-scrypt\.git/snapshot/lua-scrypt-(.+)\.tar.bz2
